Name: catdoc
Version: 0.95
%define subrel 1
Release: %mkrel 5
Summary: A program which converts Microsoft office files to plain text        

Group: Text tools 
License: GPL+       
URL: https://www.wagner.pp.ru/~vitus/software/catdoc/           
Source0: http://ftp.wagner.pp.ru/pub/catdoc/%{name}-%{version}.tar.gz
Patch0: catdoc-0.95-CVE-2017-11110.patch
Patch1: 0007-Added-guards-against-a-signed-text-length-when-parsi.patch
Patch2: 0008-Added-a-guard-against-a-product-overflow-when-proces.patch
Patch3: 0009-Added-guards-against-invalid-sector-sizes-when-tryin.patch

BuildRequires: tk
Requires: tk

%files
%{_bindir}/catdoc
%{_bindir}/catppt
%{_bindir}/wordview
%{_bindir}/xls2csv
%{_mandir}/man1/catdoc.1.*
%{_mandir}/man1/catppt.1.*
%{_mandir}/man1/wordview.1.*
%{_mandir}/man1/xls2csv.1.*
%{_datadir}/catdoc
%doc COPYING README NEWS

#--------------------------------------------------------------------

%description
catdoc is program which reads one or more Microsoft Word files
and outputs text contained inside them to standard output.
Therefore it does the same work for.doc files, as the unix cat
command does for plain ASCII files.
It is now accompanied by xls2csv - a program which converts
Excel spreadsheet into comma-separated value file,
and catppt - a utility to extract textual information
from Powerpoint files

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build


%install
make installroot=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/man
mkdir -p %{buildroot}%{_mandir}/man1
mv doc/*.1 %{buildroot}%{_mandir}/man1/


%changelog
* Wed Jul 02 2025 ns80 <ns80> 0.95-5.1.mga9
+ Revision: 2242955
- port patches from Debian for CVE-2024-48877, CVE-2024-52035 and CVE-2024-54028 (mga#34411)

* Mon Mar 14 2022 umeabot <umeabot> 0.95-5.mga9
+ Revision: 1791560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.mga8-current
+ Revision: 1511197
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0.95-3.mga7
+ Revision: 1295996
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 luigiwalser <luigiwalser> 0.95-2.mga7
+ Revision: 1132607
- add patch from opensuse to fix CVE-2017-11110

* Sat Jun 10 2017 luigiwalser <luigiwalser> 0.95-1.mga6
+ Revision: 1107485
- 0.95 (fixes various security issues, mga#21061)
- remove upstreamed patch 1
- set correct make variable for make install rather than patching makefiles

* Fri Feb 05 2016 umeabot <umeabot> 0.94.2-14.mga6
+ Revision: 939925
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.94.2-13.mga5
+ Revision: 745682
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.94.2-12.mga5
+ Revision: 725002
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.94.2-11.mga5
+ Revision: 678320
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.94.2-10.mga4
+ Revision: 503308
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.94.2-9.mga3
+ Revision: 347434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 luigiwalser <luigiwalser> 0.94.2-8.mga3
+ Revision: 317568
- add patch from fedora to fix buffer overflow (rhbz#872390)

* Sun Sep 04 2011 dmorgan <dmorgan> 0.94.2-7.mga2
+ Revision: 138516
- Fix groups
- imported package catdoc


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.94.2-4
- Rebuild for gcc-4.3

* Sun Nov 11 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.94.2-3
- Preserve timestamps

* Sun Nov 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.94.2-2
- Require and BuildRequire tk
- Fix changelog date

* Thu Oct 20 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.94.2-1
- Initial build
